[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlPropertyStorage.GetPropertyList

Parses the values from SessionProperties in the Root component into the given list.

## Declaration

Source position: controls.pp line 2513

`protected procedure TControlPropertyStorage.GetPropertyList(`
`List: TStrings`
`); override;`

## Arguments

`List` |  | TStrings instance where the component/property names and values are stored.

## See also

TControl.SessionProperties |  | Delimited list of property or sub-component property names saved to and restored from an external storage mechanism.